VERSION(8)

NAME
Version - =drive utilities

DESCRIPTION
==========================================================================================

    openSeaChest_Basics - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2023 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_Basics Version: 3.5.4-6_2_0 X86_64 Build Date: Dec 1 2023 Today: Fri Dec 1 15:18:13 2023 User: current user

========================================================================================== Usage =====

    openSeaChest_Basics [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_Basics --scan openSeaChest_Basics -d /dev/sg<#> -i openSeaChest_Basics -d /dev/sg<#> --SATInfo openSeaChest_Basics -d /dev/sg<#> --llInfo openSeaChest_Basics -d /dev/sg<#> --smartCheck openSeaChest_Basics -d /dev/sg<#> --shortDST --poll openSeaChest_Basics -d /dev/sg<#> --abortDST openSeaChest_Basics -d /dev/sg<#> --checkPowerMode openSeaChest_Basics -d /dev/sg<#> --spinDown openSeaChest_Basics -d /dev/sg<#> --testUnitReady openSeaChest_Basics -d /dev/sg<#> --smartAttributes hybrid openSeaChest_Basics -d /dev/sg<#> --showConcurrentRanges openSeaChest_Basics -d /dev/sg<#> --readyLED info openSeaChest_Basics -d /dev/sg<#> --readyLED on openSeaChest_Basics -d /dev/sg<#> --phySpeed 2 openSeaChest_Basics -d /dev/sg<#> --phySpeed 3 --sasPhy 1 openSeaChest_Basics -d /dev/sg<#> --readLookAhead info openSeaChest_Basics -d /dev/sg<#> --readLookAhead enable openSeaChest_Basics -d /dev/sg<#> --writeCache info openSeaChest_Basics -d /dev/sg<#> --writeCache disable openSeaChest_Basics -d /dev/sg<#> --downloadFW firmwareFile.bin openSeaChest_Basics -d /dev/sg<#> --downloadFW firmwareFile.bin --downloadMode deferred --activateFW openSeaChest_Basics -d /dev/sg<#> --displayLBA 1000 openSeaChest_Basics -d /dev/sg<#> --overwrite 0 openSeaChest_Basics -d /dev/sg<#> --overwrite 1000 --overwriteRange 2000 openSeaChest_Basics -d /dev/sg<#> --overwrite 0 --hours 1 openSeaChest_Basics -d /dev/sg<#> --trim 0 openSeaChest_Basics -d /dev/sg<#> --trim 1000 --trimRange 2000 openSeaChest_Basics -d /dev/sg<#> --provision 134217728 openSeaChest_Basics -d /dev/sg<#> --setMaxLBA 134217728 openSeaChest_Basics -d /dev/sg<#> --restoreMaxLBA

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

--forceNVME

    Using this option will force the current drive to be treated as a NVME drive. Only NVME commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--hideLBACounter

    Use this option to suppress the output from options that show LBA counters without turning off all output to the screen.

--hours [hours]

    Use this option to specify a time in hours for a timed operation to run.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--minutes [minutes]

    Use this option to specify a time in minutes for a timed operation to run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--noTimeLimit

    Use with utility command arguments which have a built in timeout value. For example, --shortDST has a 10 minute default timeout. In some cases a good drive may need more time to complete the test due to other legitimate system activity.

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_Basics in quiet mode. This is the same as -v 0 or --verbose 0

--seconds [seconds]

    Use this option to specify a time in seconds for a timed operation to run.

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_Basics version and copyright information & exit

Utility Arguments =================

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--checkPowerMode

    Get the current power mode of a drive. On SCSI devices, this will only work if the drive has transitioned from active state to another state.

--displayLBA [LBA]

    This option will read and display the contents of the specified LBA to the screen. The display format is hexadecimal with an ASCII translation on the side (when available).

--activateFW

    Use this option to issue the command to activate code that was sent to the drive using a deferred download command. This will immediately activate the new code on the drive. You can use this along with a --downloadFW & --downloadMode to automatically issue the activate command after the download has completed.

WARNING: Firmware activation may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--downloadFW [firmware_filename]

    Download firmware to a Seagate storage product. Use only device manufacturer authorized firmware data files which are designated for the specific model drive. Improper use of this option may harm a device and or its data. You may specify the path (without spaces) if the firmware data file is in a different location. This option will use segmented download by default. Use the --downloadMode option to specify a different download mode.

WARNING: Firmware updates may affect all LUNs/namespaces
    for devices with multiple logical units or namespaces.

--downloadMode [ auto | full | segmented | deferred | deferred+activate ]

    Use this option along with the --downloadFW option to set the firmware download mode. Supported Modes:

auto - automatically determines the best mode to use to
    perform the firmware update.

full - performs a download in one large
    transfer to the device.

segmented - downloads the firmware in multiple
    segments to the device. (Most compatible)

deferred - performs a segmented download to the
    device, but does not activate the new firmware until a powercycle or activate command is sent.

deferred+activate - performs a deferred download and
    automatically acitvates it for you. Similar to how a segmented download works but uses a separate activate command. This is the recommended mode that "auto" will select when possible for maximum compatibility with Windows 10 and later operating systems.

WARNING: Firmware Updates may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--showLockedRegions

    This option should only be used when performing firmware updates on legacy products. What this does is it ignores a failing error code from the OS on the final segment of a firmware update, but this update is actually successful. This is needed to workaround hardware or firmware limitations that were present in some old products.

--shortDST

    Execute a short diagnostic drive self test. This test can take up to 2 minutes to complete. Use the --poll argument to make this operation poll for progress until complete. Use the --progress dst command to check on the completion percentage (%) and test result. NOTE: Short DST may take longer if there is other disk usage while the DST is running. If the DST takes longer than 10 minutes it will automatically be aborted while polling for progress. To override this behavior, use the --noTimeLimit option.

--poll

    Use this option to cause another operation to poll for progress until it has completed. This argument does not return to the command prompt and prints ongoing completion percentages (%)

the final test result.
    Full drive procedures will take a

very long time.
    Used with --sanitize, or --writeSame (SATA).

--progress [dst]

    Get the progress for a test that was started quietly without the polling option (default). You must specify a test you wish to get progress from. Ex: "--progress dst" or "--progress sanitize" The progress counts up from 0% to 100%.

--abortDST

    Abort a diagnostic Drive Self Test that is in progress.

--phySpeed [0 | 1 | 2 | 3 | 4 | 5]

    Use this option to change the PHY speed to a new maximum value. On SAS, this option will set all phys to the specified speed unless the --sasPhy option is given to select a specific phy. 0 - allow full negotiation (default drive behavior) 1 - allow negotiation up to 1.5Gb/s 2 - allow negotiation up to 3.0Gb/s 3 - allow negotiation up to 6.0Gb/s 4 - allow negotiation up to 12.0Gb/s (SAS Only) 5 - allow negotiation up to 22.5Gb/s (SAS Only)

    NOTE: SATA phy speed changes are only available on Seagate drives.

WARNING: Check the minimum phy speed supported by your adapter before
    using this option. A phy speed below the adapter's capability will result in the drive not being seen by the adapter or the OS.

WARNING: Changing Phy speed may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--readLookAhead [info | enable | disable]

    Use this option to enable or disable read look-ahead support on a drive. Use the "info" argument to get the current status of the read look ahead feature.

WARNING: Changing Read look-ahead may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--restoreMaxLBA

    Restore the max accessible address of your drive to its native size. A power cycle is required after this command before setting a new max LBA.

--setMaxLBA newMaxLBA

    Set the max accessible address of your drive to any value less than the device's default native size. A power cycle is required after this command before resetting or setting a new max LBA.

--showConcurrentRanges

    Use this option to display the concurrent positioning ranges supported by a device. Concurrent positioning ranges are used to inform which actuator is used for a given range in LBA space.

--smartCheck

    Perform a SMART check on a device to see if any internal thresholds have been tripped or if the drive is still operating within specification.

--spinDown

    Removes power to the disk drive motor with the Standby Immediate command. Use this before moving a hard disk drive. The drive will spin back up if the operating system selects the drive. This means that an active drive will not stay spun down.

WARNING: Spindown may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--writeCache [info | enable | disable]

    Use this option to enable or disable write cache support on a drive. Use the "info" argument to get the current status of the write cache feature.

WARNING: Changing Write Cache may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

    SATA Only: ========= --smartAttributes [raw | hybrid | analyzed] (SATA Only)

    The drive will display its list of supported SMART attributes. Some attributes names are commonly standard and most others are vendor unique. In either case, the attribute thresholds are always vendor unique. Most attributes are informational and not used to determine a warranty return. Use the --smartCheck command to determine if one of the warranty attributes has been tripped. Seagate Support does not help to analyze SMART attributes. Output modes:

    raw - All hex output for those that need every single bit. hybrid - classic table view with some interpretation of some

fields. Partial raw interpretation, but not all drive
    and firmware combinations are supported.

analyzed - a full breakdown of all parts of each individual
    attribute's data. Full raw data interpretation only available on select devices.

    NOTE: Migration to device statistics is recommended.

    SAS Only: ========= --readyLED [info | on | off | default] (SAS Only)

    Use this option to get the current state or change the behavior of the ready LED. See the SPL spec for full details on how this changes LED

info - gets the current state of the ready LED.
    on - sets the ready LED to usually off unless

processing a command.
    off - sets the ready LED to usually on unless

processing a command
    default - sets the ready LED to the drive's default value

WARNING: The EPC settings may affect all LUNs/namespaces for devices
    with multiple logical units or namespaces.

--sasPhy [phy number] (SAS Only)

    Use this option to specify a specific phy to use with another option that uses a phy identifier value. Some tool options will assume all SAS Phys when this option is not present. Others will produce an error when a specific phy is needed for an operation. Use the -i option to learn more about the supported phys.

Data Destructive Commands =========================

--overwrite [starting LBA]
    (Clear)

    Use this option to start an overwrite erase at the specified starting LBA. Combine this option with overwriteRange or time options (hours, minutes seconds) to erase a portion of the drive.

--overwriteRange [range in # of LBAs]
    (Clear)

    Use with the overwrite option (--overwrite) to erase a range of LBAs on the selected drive.

--provision newMaxLBA

    Provision your drive to a new max LBA to any value less than the device's current max LBA. A power cycle is required after this command before resetting the max LBA or changing the provisioning again. This command erases all data between the new maxLBA specified and the current maxLBA of the device. using a TRIM/UNMAP command.

--trim or --unmap [starting LBA]

    Use one of these options to start a trim or unmap operation on a drive at the provided LBA. A range must also be provided with the range option.

--trimRange or --unmapRange [range in # of LBAs]

    Use one of these options to specify a range to trim or unmap on a drive. A starting point must be specified with the --trim/--unmapRange option.

    Utility Version: 3.5.4 opensea-common Version: 2.0.0 opensea-transport Version: 6.2.0 opensea-operations Version: 5.1.1 Build Date: Dec 1 2023 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 7.5.0 Operating System Type: Linux Operating System Version: 4.15.0-211 Operating System Name: Ubuntu 18.04.6 LTS